This patch fiddles the linker flags for top-3.5 to prepend "-Wl," on
AIX+gcc, since gcc doesn't understand "-b" linker flags like xlc does.

This prevents these errors:
gcc -O -o top top.o commands.o display.o screen.o username.o utils.o version.o getopt.o machine.o -lcurses -lm -bD:0x18000000
gcc: `-b' must come at the start of the command line

diff -ru top-3.5.orig/Configure top-3.5/Configure
--- top-3.5.orig/Configure	2004-05-01 19:34:21.000000000 +1100
+++ top-3.5/Configure	2004-05-01 20:04:34.000000000 +1100
@@ -488,6 +488,13 @@
 set tcap = `grep TERMCAP: machine/m_${module}.desc | sed -e 's/^.[^:]*: *//'`
 set math = `grep MATH: machine/m_${module}.desc | sed -e 's/^.[^:]*: *//'`
 
+# For gcc on AIX, linker opts must be preceded by "-Wl,"
+if ($module == "aix43") then
+   if (`basename $Cmdcc` == "gcc") then
+       set libs = `echo ${libs} | sed 's/-b/-Wl,-b/g'`
+    endif
+endif
+
 # get osrev defition, if we can
 set uname=""
 if (-e /usr/bin/uname) then
